Bug 393921 - update of kde* x86_64 package adds i386 packages
update of kde* x86_64 package adds i386 packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 05:23 EST by Michal Hlavinka
Modified: 2014-01-21 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 08:34:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2007-11-21 05:23:54 EST
From Bugzilla Helper:
User-Agent: Opera/9.23 (X11; Linux x86_64; U; cs)

Description of problem:
I have installed system from KDE-live CD, up-to-date.
I have only x86_64 kde packages
If there is an update of kde* package (kdelib kdegames kdebluetooth ...)
yum update wnat's add kde i386 packages(with deps), after update I can remove 
them, so they are not required for using the x86_64 one.

Version-Release number of selected component (if applicable):
yum-3.2.7-1.fc8 rpm-4.4.2.2-7.fc8

How reproducible:
Always


Steps to Reproduce:
1.wait untill there is an kde* package update
2.yum update
3.

Actual Results:
yum told me what he wants to upgrade (and it's deps) including i386 packages I 
don't want

Expected Results:
yum should update only x86_64 packages without installing i386 versions (and 
deps)

Additional info:
# yum update
Loading "refresh-updatesd" plugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package kdenetwork-libs.i386 7:3.5.8-9.fc8 set to be updated
--> Processing Dependency: libkabc.so.1 for package: kdenetwork-libs
--> Processing Dependency: libkdeui.so.4 for package: kdenetwork-libs
--> Processing Dependency: libkio.so.4 for package: kdenetwork-libs
--> Processing Dependency: libkwalletclient.so.1 for package: kdenetwork-libs
--> Processing Dependency: kdenetwork = 7:3.5.8-9.fc8 for package: kdenetwork-
libs
--> Processing Dependency: libkdecore.so.4 for package: kdenetwork-libs
--> Processing Dependency: libkhtml.so.4 for package: kdenetwork-libs
--> Processing Dependency: libDCOP.so.4 for package: kdenetwork-libs
--> Processing Dependency: libkutils.so.1 for package: kdenetwork-libs
--> Processing Dependency: kdenetwork = 7:3.5.8-4.fc8 for package: kdenetwork-
libs
---> Package kdenetwork-libs.x86_64 7:3.5.8-9.fc8 set to be updated
---> Package kdebluetooth-libs.i386 0:1.0-0.37.beta8.fc8 set to be updated
--> Processing Dependency: libopenobex.so.1 for package: kdebluetooth-libs
---> Package kdebluetooth-libs.x86_64 0:1.0-0.37.beta8.fc8 set to be updated
--> Running transaction check
---> Package kdelibs.i386 6:3.5.8-7.fc8 set to be updated
--> Processing Dependency: libartsflow_idl.so.1 for package: kdelibs
--> Processing Dependency: libmcop.so.1 for package: kdelibs
--> Processing Dependency: libartsflow.so.1 for package: kdelibs
--> Processing Dependency: libsoundserver_idl.so.1 for package: kdelibs
--> Processing Dependency: libIlmImf.so.6 for package: kdelibs
--> Processing Dependency: libaspell.so.15 for package: kdelibs
--> Processing Dependency: libkmedia2_idl.so.1 for package: kdelibs
--> Processing Dependency: libqtmcop.so.1 for package: kdelibs
--> Processing Dependency: libHalf.so.6 for package: kdelibs
---> Package openobex.i386 0:1.3-8.fc8 set to be updated
---> Package kdenetwork.x86_64 7:3.5.8-9.fc8 set to be updated
--> Running transaction check
---> Package aspell.i386 12:0.60.5-3.fc7 set to be updated
---> Package ilmbase.i386 0:1.0.0-3.fc8 set to be updated
---> Package OpenEXR-libs.i386 0:1.6.0-5.fc8 set to be updated
---> Package arts.i386 8:1.5.8-4.fc8 set to be updated
--> Processing Dependency: libaudio.so.2 for package: arts
--> Running transaction check
---> Package nas.i386 0:1.9.1-2.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 kdebluetooth-libs       i386       1.0-0.37.beta8.fc8  updates           354 k
     replacing  kdebluetooth.x86_64 1.0-0.34.beta8.fc8

 kdebluetooth-libs       x86_64     1.0-0.37.beta8.fc8  updates           363 k
     replacing  kdebluetooth.x86_64 1.0-0.34.beta8.fc8

 kdenetwork-libs         i386       7:3.5.8-9.fc8    updates           1.0 M
     replacing  kdenetwork.x86_64 7:3.5.8-4.fc8

 kdenetwork-libs         x86_64     7:3.5.8-9.fc8    updates           1.0 M
     replacing  kdenetwork.x86_64 7:3.5.8-4.fc8

Installing for dependencies:
 OpenEXR-libs            i386       1.6.0-5.fc8      fedora            250 k
 arts                    i386       8:1.5.8-4.fc8    fedora            1.2 M
 aspell                  i386       12:0.60.5-3.fc7  fedora            967 k
 ilmbase                 i386       1.0.0-3.fc8      fedora            118 k
 kdelibs                 i386       6:3.5.8-7.fc8    fedora             17 M
 nas                     i386       1.9.1-2.fc8      updates           647 k
 openobex                i386       1.3-8.fc8        fedora             36 k
Updating for dependencies:
 kdenetwork              x86_64     7:3.5.8-9.fc8    updates            10 M

Transaction Summary
=============================================================================
Install     11 Package(s)
Update       1 Package(s)
Remove       0 Package(s)

------------------------------------------------------------------------

updating concrete packages is working fine

# yum update kdebluetooth kdenetwork
Loading "refresh-updatesd" plugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
--> Processing Dependency: libkbluetooth.so.0()(64bit) for package: kdebluetooth
---> Package kdenetwork.x86_64 7:3.5.8-9.fc8 set to be updated
--> Processing Dependency: kdenetwork-libs = 7:3.5.8-9.fc8 for package: 
kdenetwork
---> Package kdebluetooth.x86_64 0:1.0-0.37.beta8.fc8 set to be updated
--> Running transaction check
---> Package kdebluetooth-libs.x86_64 0:1.0-0.37.beta8.fc8 set to be updated
---> Package kdenetwork-libs.x86_64 7:3.5.8-9.fc8 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 kdebluetooth            x86_64     1.0-0.37.beta8.fc8  updates           1.0 M
 kdenetwork              x86_64     7:3.5.8-9.fc8    updates            10 M
Installing for dependencies:
 kdebluetooth-libs       x86_64     1.0-0.37.beta8.fc8  updates           363 k
Updating for dependencies:
 kdenetwork-libs         x86_64     7:3.5.8-9.fc8    updates           1.0 M

Transaction Summary
=============================================================================
Install      1 Package(s)
Update       3 Package(s)
Remove       0 Package(s)

then:
# yum update
Loading "refresh-updatesd" plugin
Setting up Update Process
No Packages marked for Update

so i386 packages are really not require
Comment 1 Seth Vidal 2008-03-12 11:47:52 EDT
This has to do with deps not really having a way of specifying the arch they
need. However, we have taken some measures to improve this situation in yum
3.2.10 and above. Would you be willing to test yum from rawhide with this issue?
Comment 2 Michal Hlavinka 2008-03-26 08:23:06 EDT
It seems working now

Note You need to log in before you can comment on or make changes to this bug.